> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# CAC_Basic

> CAC Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyb/biz-basic
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyb/biz-basic:
    post:
      tags:
        - Businesses(KYB)
      summary: CAC_Basic
      description: CAC Identifications
      operationId: Check CAC Basic
      requestBody:
        description: Checking for CAC Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CAC'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CACRespose'
        '400':
          description: Invalid input
      security:
        - bearerAuth: []
components:
  schemas:
    CAC:
      required:
        - rcNumber
      type: object
      properties:
        rcNumber:
          type: string
          example: '2398621'
    CACRespose:
      type: object
      properties:
        status:
          type: integer
          example: 200
        active:
          type: boolean
          example: true
        email:
          type: string
          example: 'null'
        id:
          type: integer
          example: 3061051
        delistingStatus:
          type: string
          example: 'null'
        natureOfBusinessName:
          type: string
          example: 'null'
        classification:
          type: string
          example: BUSINESS NAME
        rcNumber:
          type: string
          example: '2360621'
        registrationApproved:
          type: boolean
          example: true
        approvedName:
          type: string
          example: PAY DAY SUPERMARKET
        city:
          type: string
          example: OWORONSHOKI
        lga:
          type: string
          example: 'null'
        branchAddress:
          type: string
          example: ''
        registrationDate:
          type: string
          example: '2015-09-01T16:28:55.017+00:00'
        classificationId:
          type: integer
          example: 1
        headOfficeAddress:
          type: string
          example: 'null'
        businessCommencementDate:
          type: string
          example: '2015-08-30T23:00:00.000+00:00'
        objectives:
          type: string
          example: ''
        companyTypeName:
          type: string
          example: BUSINESS_NAME_FIRM
        searchScore:
          type: integer
          example: 0.060792710632085
        address:
          type: string
          example: NO. 2, ADAMS STREET
        state:
          type: string
          example: LAGOS
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.